<template>
  <div id="app">
    <Tree v-for="submMenu in menu" :key="submMenu.name" :node="submMenu" />
    <Output
      v-for="submMenu in menu"
      :key="submMenu.name + '#'"
      :node="submMenu"
    />
  </div>
</template>

<script>
import Tree from "./components/Tree.vue";
import Output from "./components/Output.vue";

export default {
  name: "App",
  components: {
    Tree,
    Output,
  },
  computed: {
    menu() {
      return this.$store.getters.getMenu;
    },
  },
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
